Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.xml
Class DOMConfigurator

    java.lang.Object
      org.apache.log4j.xml.DOMConfigurator

    public class DOMConfigurator

extends Object

Constructor Summary
`DOMConfigurator()`

Method Summary
`static void` | `configure(Element element)`
`static void` | `configure(String filename)`
`static void` | `configure(URL url)`
`static void` | `configureAndWatch(String configFilename)`
`static void` | `configureAndWatch(String configFilename, long delay)`
`void` | `doConfigure(Element element, LoggerRepository repository)`
`void` | `doConfigure(InputStream inputStream, LoggerRepository repository)`
`void` | `doConfigure(Reader reader, LoggerRepository repository)`
`void` | `doConfigure(String filename, LoggerRepository repository)`
`void` | `doConfigure(URL url, LoggerRepository repository)`
`static Object` | `parseElement(Element element, Properties props, Class expectedClass)`
`static void` | `setParameter(Element elem, PropertySetter propSetter, Properties props)`
`static String` | `subst(String value, Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMConfigurator

    public DOMConfigurator()

Method Detail

### doConfigure

    public void doConfigure(String filename,
                            LoggerRepository repository)

### doConfigure

    public void doConfigure(URL url,
                            LoggerRepository repository)

### doConfigure

    public void doConfigure(InputStream inputStream,
                            LoggerRepository repository)
                     throws FactoryConfigurationError

  Throws:
    `FactoryConfigurationError`

### doConfigure

    public void doConfigure(Reader reader,
                            LoggerRepository repository)
                     throws FactoryConfigurationError

  Throws:
    `FactoryConfigurationError`

### doConfigure

    public void doConfigure(Element element,
                            LoggerRepository repository)

### configure

    public static void configure(Element element)

### configureAndWatch

    public static void configureAndWatch(String configFilename)

### configureAndWatch

    public static void configureAndWatch(String configFilename,
                                         long delay)

### configure

    public static void configure(String filename)
                          throws FactoryConfigurationError

  Throws:
    `FactoryConfigurationError`

### configure

    public static void configure(URL url)
                          throws FactoryConfigurationError

  Throws:
    `FactoryConfigurationError`

### subst

    public static String subst(String value,
                               Properties props)

### setParameter

    public static void setParameter(Element elem,
                                    PropertySetter propSetter,
                                    Properties props)

### parseElement

    public static Object parseElement(Element element,
                                      Properties props,
                                      Class expectedClass)
                               throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.